#property indicator_separate_window
#property indicator_buffers 1 
#property indicator_level1 0.0
#property indicator_levelcolor Gray

extern int IFFPeriod = 5;
extern int smooth = 9; 

double IFS[],MaRSIf[], RSIf[]; 

int init()
{
 IndicatorBuffers(3); 
 IndicatorShortName(WindowExpertName()); 

 SetIndexBuffer(0,IFS); 
 SetIndexStyle(0,DRAW_LINE,EMPTY,2,SpringGreen);
 SetIndexLabel(0,"IFS");
 
 SetIndexBuffer(1,MaRSIf);
 SetIndexLabel(1,"MaRSIf");
 
 SetIndexBuffer(2,RSIf); ArraySetAsSeries(RSIf, true);
 SetIndexLabel(2,"RSIf");
 return(0);
}

int start()
{
 int i, limit ;
 int counted_bars=IndicatorCounted();
 if(counted_bars<0) return(-1);
 if(counted_bars>0) counted_bars--;
 limit=Bars-1-counted_bars;

 for(i=limit; i>=0; i--)   RSIf[i]   = 0.1*(iRSI(NULL,0,IFFPeriod,PRICE_CLOSE, i)-50);
 for(i=limit; i>=0; i--)   MaRSIf[i] = iMAOnArray(RSIf,0,smooth,0,MODE_LWMA,i);
 for(i=limit; i>=0; i--)   IFS[i]    = (MathExp(2*MaRSIf[i])-1)/(MathExp(2*MaRSIf[i])+1);

 return(0);
}